<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: news_panel.php
| Author: Fangree Productions
| Developers: Fangree_Craig, lelebart
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }
echo "<script src='".INFUSIONS."news_panel/boxover.js' type='text/javascript'></script>\n";
if (file_exists(INFUSIONS."news_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."news_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."news_panel/locale/English.php";
}

define("NP_IMG", INFUSIONS."news_panel/images/");

opentable($locale['new001']);
$result = dbquery(
	"SELECT tn.*, tc.*, user_id, user_name FROM ".DB_NEWS." tn
			LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
			LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
			WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0' ORDER BY news_sticky DESC,  news_id DESC LIMIT 0,5"
);
	
if (dbrows($result)) {
$i = 0;
	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
		echo "<td class='tbl2' width='3%'>&nbsp;</td>\n";
		echo "<td width='40%' class='tbl2'><strong>".$locale['new002']."</strong></td>\n";
		echo "<td width='5%' class='tbl2' style='text-align:center;white-space:nowrap'><strong>".$locale['new007']."</strong></td>\n";
		echo "<td width='5%' class='tbl2' style='text-align:center;white-space:nowrap'><strong>".$locale['new003']."</strong></td>\n";
	
	echo "</tr>\n";

	while($data = dbarray($result)) {
	
		if ($data['news_cat_image']) {
		$news_cat_image  = "".get_image("nc_".$data['news_cat_name'])."";
			} else { $news_cat_image = "".NP_IMG."default.gif"; }
			
	$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
		echo "<tr>\n<td class='".$row_color."' style='white-space:nowrap' align='center'>\n";
		echo "<a href='".BASEDIR."news_cats.php?cat_id=".$data['news_cat_id']."'><img src='".$news_cat_image."' title='".$data['news_cat_name']."' alt='".$data['news_cat_name']."' height='60' width='80' border='0' /></a><td width='40%' class='".$row_color."'>";
		
		$itemsubject = trimlink($data['news_subject'], 90);
		$itemsubject2 = substr($data['news_news'], 0,32);
		$itemsubject3 = trimlink(strip_tags(str_replace(array("[","]"),array("&#91;","&#93"),stripslashes($data['news_news'])), "<img><p><br>"), 600);

		
	echo "<strong><a href='".BASEDIR."news.php?readmore=".$data['news_id']."' class='side' title='header=[$itemsubject] body=[$itemsubject3]'>$itemsubject</a></strong><br />\n";
		echo "<span style='font-size:10px;'>$itemsubject2...</span>\n";
		echo"<br /><span style='font-size:9px;'>".$locale['new004']." <strong><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></strong></span>\n";
		echo "</td>\n";

		echo "<td width='1%' class='".$row_color."' style='text-align:center;white-space:nowrap'>".showdate("forumdate", $data['news_datestamp'])."</td>";
		echo "<td width='1%' class='".$row_color."' style='text-align:center;white-space:nowrap'>".$data['news_reads']."</td>\n";
        echo "</tr>\n";
	$i++;	
	}

	echo "</table>\n";
		
} 

else {
	echo "<div style='text-align:left'>".$locale['new007']."</div>\n";
}
echo"<br />\n";
echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
echo "<td width='50%' class='tbl' style='text-align:left;white-space:nowrap'>".$locale['new012']."</td></table>\n";

echo"<br />\n";
echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
		echo "<td width='70%' class='tbl2' style='text-align:left;white-space:nowrap'>".$locale['new008'].dbcount("(news_id)", DB_NEWS)." :: ".$locale['new009'].dbcount("(news_cat_id)", DB_NEWS_CATS)."</td>\n";
		echo "<td width='30%' class='tbl2' style='text-align:right;white-space:nowrap'><form name='searchform' method='get' action='".BASEDIR."search.php?stype=news'><input type='hidden' name='stype' value='news' /><input type='text' name='stext' class='textbox' value='".$locale['new014']."' onFocus='this.value=\"\"' style='width:130px' />&nbsp;<input type='submit' name='search' value='".$locale['new010']."' class='button' /></form></td></table>\n";
		echo "<div style='text-align:right;'><span title='".$locale['new015']."</span></div>\n";

closetable();

?>